Rustic Derby Skinpack 1.0

Derby related skins

  1. jam_1989
    Disclaimer
    You will need the Realistic Derby Project mod for this to work

    If you don't like the fact you need to download a separate mod to make these work, I would recommend you grow a pair instead.

    - 80's Crown Vics are supported with the repository version.
    - You will need the Patreon version of RDP to be able to use the Caddy, Shocker & 76 olds skins.
    - Matte black is recommended for correct contrast for these skins.

    Overview
    - All skins have a gritty/rusty theme to them.
    - BeamNG vehicles will eventually be added.
    - Most skins come with custom normal & specular textures

    Carmageddon I
    Caddy Fat Cat + Pixel - 74 Caddy
    Lead Pumper + Pixel - 80's Vic & Shocker
    Heavy Impaler + Pixel - 80's Vic & 76 Olds

    Carmageddon II
    The Cop + Pixel - 80's Vic
    Slam Sedan - 80's Vic

    Movie/Misc
    National 'Truckster' Lampoons - 80's Vic
    Vault Tec Wagon- 80's Vic
    Lahey New Yorker + black top - Shocker

    Skin name
    Ed #25 - Heavy Impaler
    Otis #9 - Caddy Fat Cat
    The Cop #206 - Cop car (C2)
    Otis P Jivefunk - Slam Sedan
    Agent Orange #12 - Lead Pumper
    Lampoons - National Lampoon Truckster station wagon
    Vault Tec #15 - VaultTec wagon
    97' - Pixel/90's look a like

    All skins have been made with Substance Painter.

    Images

    1. 20210904231228_1.jpg
    2. 20210904231451_1.jpg
    3. 20210904232229_1.jpg
    4. 20210904234459_1.jpg
    5. 20210904234636_1.jpg
    6. 20210907001616_1.jpg
    7. 20210907001639_1.jpg
    8. 20210907003246_1.jpg
    9. 20210907003301_1.jpg
    10. 20210907003558_1.jpg
    11. 20210907003731_1.jpg
    12. 20210907011222_1.jpg
    13. 20210907011242_1.jpg
    14. 20210908234714_1.jpg
    15. caddyfatcat.jpg
    16. heavyimpaler1.jpg
    17. leadpumperr.jpg
    18. leadpumper.jpg
    19. otispjivefunkr.jpg
    20. otispjivefunk.jpg

Recent Reviews

  1. PowerstrokeHD
    PowerstrokeHD
    5/5,
    Version: 1.0
    Neat
  2. TheBlueHeeler
    TheBlueHeeler
    2/5,
    Version: 1.0
    Too many requirements for just a skin pack, also doesn't look the best. Could definitely have more detail.
  3. AmtrakSurflinerF59-PHI
    AmtrakSurflinerF59-PHI
    2/5,
    Version: 1.0
    that dont work for me. i dont have vehicles and skins
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice